GET_PHY_C45_IDS(9)

NAME
get_phy_c45_ids - reads the specified addr for its 802.3-c45 IDs.

SYNOPSIS

int get_phy_c45_ids(struct mii_bus * bus, int addr, u32 * phy_id, struct phy_c45_device_ids * c45_ids);

ARGUMENTS

bus
    the target MII bus

addr
    PHY address on the MII bus

phy_id
    where to store the ID retrieved.

c45_ids
    where to store the c45 ID information.

DESCRIPTION

If the PHY devices-in-package appears to be valid, it and the corresponding identifiers are stored in c45_ids, zero is stored in phy_id. Otherwise 0xffffffff is stored in phy_id. Returns zero on success.

COPYRIGHT